Loading...
Searching...
No Matches
Dnapl.hpp File Reference

A simple implementation of a dense non-aqueous phase liquid (DNAPL). More...

`#include "Component.hpp"`
`#include <opm/material/IdealGas.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::DNAPL< Scalar >
| A simple implementation of a dense non-aqueous phase liquid (DNAPL). More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

A simple implementation of a dense non-aqueous phase liquid (DNAPL).

The parameters are chosen to roughly correspond to those of trichloroethylene (TCE) at standard conditions.

Template Parameters

  Scalar | The type used for scalar values